KDSTAT(8)

NAME
kdstat - program to show and change internal kerneld state

SYNOPSIS
kdstat
kdstat [debug|nodebug]
kdstat [keep|nokeep]
kdstat flush
kdstat delay=<time>

DESCRIPTION
This manual package describes kdstat , a program used to debug kerneld. You can use it to view (and change) the internal state of a running kerneld.

OPTIONS
When run, kdstat always displays the current state of kerneld. Given the proper options it can do much more. All legal options are explained below.

debug, nodebug
    Turn kerneld debugging mode on or off. If turned on, kerneld displays what it is doing on the console.

keep, nokeep
    Turn keeping of modules on or off. If turned off (the default), modules are unloaded when they have not been used for a while. See delay for more information about the timeout used.

flush
    Flush the IPC message queue used to communicatie with kerneld

delay=<time>
    Change the timeout kerneld waits before removing a module from the kernel.

SEE ALSO
modules(2), kerneld(8).

AUTHOR
This manual page was written by Wichert Akkerman <wakkerma@debian.org> for the Debian GNU/Linux system.